Video API, REST: Playlist.Create
Creates a new playlist in the specified channel with the provided items.
Playlists can contain videos, episodes, or a mix of both content types.
HTTP request
POST https://video.api.yandexcloud.kz/video/v1/playlists
Body parameters
{
"channelId": "string",
"title": "string",
"description": "string",
"items": [
{
// Includes only one of the fields `videoId`, `episodeId`
"videoId": "string",
"episodeId": "string",
// end of the list of possible fields
"position": "string"
}
],
"stylePresetId": "string"
}
|
Field |
Description |
|
channelId |
string Required field. ID of the channel where the playlist will be created. The maximum string length in characters is 50. |
|
title |
string Required field. Title of the playlist to be displayed in interfaces and players. The maximum string length in characters is 300. |
|
description |
string Detailed description of the playlist content and context. The maximum string length in characters is 5000. |
|
items[] |
List of items to include in the playlist. The maximum number of elements is 100. |
|
stylePresetId |
string ID of the style preset to be applied to the playlist player. The maximum string length in characters is 50. |
PlaylistItem
Represents a single item in a playlist.
Each item references either a video or an episode and specifies its position in the sequence.
|
Field |
Description |
|
videoId |
string Identifier of a video included in the playlist. The maximum string length in characters is 50. Includes only one of the fields Specifies the content identifier type for this playlist item. |
|
episodeId |
string Identifier of an episode included in the playlist. The maximum string length in characters is 50. Includes only one of the fields Specifies the content identifier type for this playlist item. |
|
position |
string (int64) Position of this item in the playlist sequence (zero-indexed). Acceptable values are 0 to 100, inclusive. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |